Skip to main content
GET /v1/dreams Lists Dreams for the current user, ordered by creation time descending. Returns a response containing a data array of Dream objects.

Headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT>

Query parameters

ParameterTypeRequiredDefaultDescription
limitintegerNo20Maximum number of results (1-100)
include_archivedbooleanNofalseWhether to include archived Dreams

Example request

curl -s 'https://api.qoder.com/api/v1/cloud/dreams?limit=5' \
  -H "Authorization: Bearer $QODER_PAT"

Example response

HTTP 200 OK
{
  "data": [
    {
      "id": "drm_019e86b4a8f070a3b6c5d4e3f2a1b0c9",
      "type": "dream",
      "status": "completed",
      "inputs": [{ "type": "memory_store", "memory_store_id": "memstore_019e5cdb9c3f71c3b6505eba937a40b4" }],
      "outputs": [{ "type": "memory_store", "memory_store_id": "memstore_019e86b4b10578059435632bb357c5ed", "files_touched": ["preferences.md"] }],
      "model": { "id": "auto" },
      "instructions": "",
      "session_id": "sess_019e86b4b10578059435632bb357c5ed",
      "usage": { "input_tokens": 12500, "output_tokens": 3200, "cache_creation_input_tokens": 0, "cache_read_input_tokens": 8000 },
      "error": null,
      "created_at": "2026-06-15T10:00:00Z",
      "ended_at": "2026-06-15T10:03:42Z",
      "archived_at": null
    }
  ]
}

Errors

HTTPTypeTrigger
401authentication_errorMissing or invalid authentication token
See Error Reference for the full error envelope.